## client-1.0.16.tar.gz

=== go/Makefile ===
GO15VENDOREXPERIMENT=1
COVERWEB=go tool cover -html=/tmp/count.out

fmt:
	go fmt ./...

vet:
	go vet ./...

lint:
	golint ./... | grep -v ^vendor | grep -v ^protocol | grep -v comment | grep -v KeysById | grep -v "error should be the last type" || echo "Lint-free!"
	# Strict linting on saltpack
	golint saltpack/...

# to run splint, first do this:  go get stathat.com/c/splint
splint:
	splint -s 100 `find . -name "*.go"`

cover:
	go test -covermode=count ./...

test:
	test/check_or_start_kbweb.sh
	go test ./...
	test/pause_kbweb.sh

testclean:
	test/nuke_kbweb.sh

coverclient:
	$(COVERTEST) ./client
	$(COVERWEB)

coverdaemon:
	$(COVERTEST) ./daemon
	$(COVERWEB)

coverengine:
	$(COVERTEST) ./engine
	$(COVERWEB)

coverlibcmdline:
	$(COVERTEST) ./libcmdline
	$(COVERWEB)

coverlibkb:
	$(COVERTEST) ./libkb
	$(COVERWEB)

coverclean:
	rm /tmp/count.out

.PHONY: test splint fmt lint vet cover testclean coverclient coverdaemon coverengine coverlibcmdline coverlibkb coverclean

=== protocol/Makefile ===
default: build
all: build

ICED=node_modules/.bin/iced
AVDL2JSON=node_modules/.bin/avdl2json
AVDLC=node_modules/.bin/avdlc

$(AVDL2JSON): config

json/%.json: avdl/%.avdl
	$(AVDL2JSON) -i $< -o $@~ && mv $@~ $@

config:
	npm i

# By default, all avdl/*.avdl are considered and made into outputs
# as long as they have messages in them. BUT you can override this
# check via -f. So the two files specified here via -f don't have
# messages but should be made into .json's...
build-stamp: avdl/*.avdl $(AVDL2JSON) | config
	@mkdir -p json
	$(AVDL2JSON) -b -o json -f avdl/constants.avdl -f avdl/install.avdl  avdl/*.avdl
	date > $@

go-build-stamp: avdl/*.avdl $(AVDLC) | config
	@mkdir -p ../go/protocol
	$(AVDLC) -b -l go -o ../go/protocol avdl/*.avdl
	(cd ../go/protocol && go fmt ./...)
	date > $@

objc-build-stamp: build-stamp | config
	@ # Runs without generating files (to validate)
	ruby ./bin/objc.rb
	date > $@

js/flow-types.js: build-stamp | config
	@mkdir -p js/
	node --harmony ./bin/flow.js
	cp ./js/flow-types.js ../shared/constants/types

js/keybase_v1.js: build-stamp | config
	@mkdir -p js/
	node --harmony ./bin/js.js
	cp ./js/keybase-v1.js ../shared/constants/types

swift-build-stamp: build-stamp | config
	@ # Runs without generating files (to validate)
	ruby ./bin/swift.rb
	date > $@

clean:
	rm -rf json/*.json js/*.js *build-stamp
	$(AVDLC) -c -b -l go -o ../go/protocol avdl/*.avdl

fmt:
	@./fmt.sh

build: fmt build-stamp go-build-stamp js/keybase_v1.js js/flow-types.js objc-build-stamp swift-build-stamp

.PHONY: test config

=== packaging/linux/arch/PKGBUILD ===
# Maintainer: Jack O'Connor <oconnor663@gmail.com>

###
### NOTE: This file is out of date. Our prerelease PKGBUILD lives at
###       git+ssh://aur@aur.archlinux.org:keybase-git
###

pkgname=keybase
pkgdesc='LOCAL BUILD'
license=('BSD')
pkgver=0
pkgver() {
  "$srcdir/client/packaging/version.sh" prerelease | sed 's/-/_/g'
}
pkgrel=1
arch=('i686' 'x86_64')
depends=(fuse)
makedepends=(go npm git rsync)
source=(
  'git+ssh://git@github.com/keybase/client'
  'git+ssh://git@github.com/keybase/kbfs'
)
md5sums=('SKIP' 'SKIP')
install=keybase.install

build() {
  client/packaging/linux/build_binaries.sh prerelease build_dir
}

package() {
  if [ "$CARCH" = x86_64 ] ; then
    debian_arch=amd64
  else
    debian_arch=i386
  fi
  cp -r "$srcdir/build_dir/binaries/$debian_arch"/* "$pkgdir"
}
